<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  PING送信URL削除用のActionクラス
 *
 *  @author     Koji Hasegawa
 *  @access     public
 *  @package    PocketBlog.pc.do
 */
class configPingDeleteAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $ping_id = $request['ping_id'];

        // 禁止IPの削除
        db_delete_ping($ping_id);

        // メッセージの作成
        $params = array('msg' => 'PING送信URLを削除しました。');

        // リダイレクト
        pocket_redirect('configPing.view', $params);
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
